Name: dclib
Version: 0.3.8
Release: alt1

License: GPL
Url: http://dcgui.berlios.de
Packager: Pavlov Konstantin <thresh@altlinux.ru>
Summary: Direct Connect file sharing library
Group: System/Libraries
Source: %name-%version.tar.bz2
#Source2: %name.ipfilter.txt

#Patch1: dclib.libxml.patch
Patch2: dclib.xmllist.patch
#Patch3: dclib_connection_fix.patch
Patch4: dclib_automake.patch
Patch5: patch-ipfilter-2.diff

# Automatically added by buildreq on Sat Apr 02 2005
BuildRequires: bzlib-devel gcc-c++ gcc-g77 hostinfo libssl-devel libstdc++-devel libxml2-devel mozilla-psm zlib-devel

Requires: libxml2 libssl zlib

%description
This library implements the Direct Connect file sharing protocol.
The package contains the shared library required for running programs
based on dclib.

%package devel
Summary: Development Direct Connect shared library
Group: Development/C++
Requires: %name = %version-%release

%description devel
This library implements the Direct Connect file sharing protocol.
The package contains the C++ headers and static library to compile programs
based on dclib.

%prep
%setup -q -n %name

#%patch1 -p1
%patch2 -p1
#%patch3 -p1
%patch4 -p1
#%patch5 -p1

%make -f Makefile.dist

%build
%configure \
	--enable-shared \
	--disable-static \
	--enable-debug=yes \

%make_build

%install
%__mkdir_p %buildroot{{%_libdir,%_libdir/pkgconfig},%_includedir}

%makeinstall install-strip

#%__install -pm644 $RPM_BUILD_DIR/%name-%version/%name.pc %buildroot%_libdir/pkgconfig/%name.pc

%post -p %post_ldconfig

%postun -p %postun_ldconfig

%files
%_libdir/*.so*
#%_libdir/pkgconfig/%name.pc

%files devel
%_libdir/pkgconfig/*.pc
%_includedir/%name/*.h
%_includedir/%name/*/*.h

%changelog
* Mon Apr 04 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.3.8-alt1
- CVS from 04042005.
- Added ipfilter patch.

* Sat Jan 15 2005 Pavlov Konstantin <thresh@altlinux.ru> 0.3.6-alt1
- CVS from 15012004.
- Added patch fixing connection problem after 1d uptime of valknut.
- Added patch fixing behavior with new automake.

* Mon Nov 22 2004 Pavlov Konstantin <thresh@altlinux.ru> 0.3.4-alt0.3
- CVS from 21112004
- Patches fixing (probably ;) problems with filelists and new libxml2.
- Added requires libxml >= 2.6.16, there may be some problems with older versions.

* Wed Oct 18 2004 Pavlov Konstantin <thresh@altlinux.ru> 0.3.4-alt0.2
- CVS from 180102004

* Mon Aug 29 2004 Pavlov Konstantin <thresh@altlinux.ru> 0.3.4-alt0.1
- 0.3.4 CVS.
- initial build.
